module Pokan
  
  module Cluster

    # Class used for automatically run a server that include Pokan::Cluster
    # module.
    class Autorunner

      class << self
        attr_accessor :server
        attr_accessor :options
      end

      # Registers a new server, that will be started when the method
      # Pokan::Cluster::Autorunner.run gets called.
      def self.register_server(server_class)
        @server = server_class
      end

      # Checks if we have any server to start
      def self.run?
        @server.respond_to? :start
      end

      # Calls the method `start` on every registered server
      def self.run
        @server.start(@options)
      end

    end

  end
  
end
