module Pokan
  module Cluster

    # Default values for configuration, specifying:
    # * TCP and UDP ports
    # * epoll set to false
    # * CPU, memory and load average sharing
    # * logging enabled to `STDOUT`
    # * gossip interval: 1 second

    DEFAULTS = {
      :tcp_port         => 5555,
      :udp_port         => 5555,
      :epoll            => false,
      :gossip_interval  => 1,
      :shares           => ['cpu', 'memory', 'load'],
      :redis            => 6379,
      :logging          => true,
      :level            => :info
    }.freeze

  end
end
