module Pokan
  module Cluster

    def self.m(string)
      PreparedString.new(string)
    end

    LOG_MESSAGES = {
      :start => { :debug => m("
Address: %p
TCP port: %p
UDP port: %p\n
Using epoll: %p
Gossip interval: %p seconds\n
Seed address: %p
Log level is %p.
Logging to %p\n"),

                  :info  => m('Server is starting at %p...')
      },

      :before_sync => { :debug => m("Starting Redis sync with seed on address %p, port %p"),
                        :info  => m("Syncing databases...")
      },

      :after_sync => { :debug => m("Databases synced in %p seconds"),
                       :info  => m("Done.")
      },

      :new_key => { :debug => m("Saving new key-value pair: %p:%p") },

      :new_peer => { :debug => m("New peer detected at address %p:%p"), 
                     :info  => m("New peer: %p") },

      :key_changed => { :debug => m("Key %p changing from %p to %p") },

      :key_removed => { :debug => m("Key %p was removed"),
                        :info  => m("Peer at addres %p just left")
      },

      :before_gossip => { :debug => m("Preparing digest message for gossiping with %p (length: %p bytes)"),
                          :info  => m("Sending gossip message to randomly selected peer (%p)")
      },

      :after_gossip => { :debug  => m("Gossip message sent") },

      :shutdown     => m('Server is finishing...')

    }.freeze
  

  end
end
